node ('master') {
    timestamps {
        tool name: 'maven35', type: 'maven'
        tool name: 'Java8', type: 'jdk'
        env.mvnHome = tool 'maven35'
        env.JAVA_HOME="${tool 'Java8'}"
        env.PATH="${env.JAVA_HOME}/bin:${env.PATH}"
        maven: 'maven35'
        stage('Checkout'){
            checkout scm
            echo "Branch is: ${env.BRANCH_NAME}"
        }
        stage('compile') {
            sh "${mvnHome}/bin/mvn compile"
        }
        stage('test') {
            try {
                sh "${mvnHome}/bin/mvn test"
            }
            catch(Exception e) {
                echo "Test failed!!!"
            }
            finally {
                junit 'target/surefire-reports/*.xml'
            }
        }
        stage('Git Merge') {
            build job: 'gitmerge', parameters: [[$class: 'StringParameterValue', name: 'BRANCH', value: "${env.BRANCH_NAME}"]]
        }
    }
}
